/** 
 * Library of static string functions
 * useful for Project Euler.
 */
public class StringLib {

	/** Reverse a string. */
	public static String reverse(String in){
		char[] inr = new char[in.length()];
		for(int i=0; i<inr.length; i++) { 
			inr[i] = in.charAt(inr.length-i-1);
		}
		return new String(inr);
	}

	/** Check if string is palindrome. */
	public static boolean isPalindrome(String s) { 
		return s.equals(reverse(s));
	}

}
