import java.math.BigInteger;

public class Problem066 {
	public static void main(String[] args) { 
		solve();
	}

	public static void solve() { 
		final int DMAX = 1000;
		BigInteger x = BigInteger.ZERO;

		// Values of solution x and D at maximum
		BigInteger xmax = BigInteger.ZERO;
		int Dmax = 0;

		for(int D=1; D<=DMAX; D++) { 
			x = ContinuedFractionBig.solvePell(D);
			if(x.compareTo(xmax)>0) { 
				xmax = x;
				Dmax = D;
			}
			System.out.println("D = "+D+", x = "+x);
		}
		System.out.println(Dmax);
	}
}