import java.util.*;
import java.math.*;

public class Problem003 implements EulerSolution {
	/*
	
	The prime factors of 13195 are 5, 7, 13 and 29.
	
	What is the largest prime factor of the number 600851475143 ?
	
	*/
	public String run() { 
	
		BigInteger n = new BigInteger("600851475143");

		ArrayList<BigInteger> factors = new ArrayList<BigInteger>();
		BigInteger f = new BigInteger("2");
		while(f.compareTo(n)<0) { 
			if( n.mod(f).equals(BigInteger.ZERO) ) { 
				// Remove it, reset stuff, keep looking.
				factors.add(f);
				n = n.divide(f); 
				//n /= f;
				f = new BigInteger("2");
			} else {
				f = f.add(new BigInteger("1"));
			}
		}
		factors.add(f);
		return Collections.max(factors).toString();
	}
}
